[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EditButtonClicked

Signals the OnEditButtonClick or OnButtonClick event handler (when assigned).

## Declaration

Source position: grids.pas line 1070

`protected procedure TCustomGrid.EditButtonClicked(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object for the event notification.

## Description

When Sender is the TButtonCellEditor for the control, the DoEditButtonClick method is called using the Col and Row numbers from the TButtonCellEditor class instance. Otherwise, DoEditButtonClick is called using the values in the Col and Row properties.